package online.wesal.wesal.dto;

import jakarta.validation.constraints.Size;

public class UpdateUserRequest {
    
    private String fcmToken;
    
    private String displayName;
    
    private String avatar;
    
    @Size(min = 6, message = "Password must be at least 8 characters long")
    private String password;
    
    public UpdateUserRequest() {}
    
    public String getFcmToken() {
        return fcmToken;
    }
    
    public void setFcmToken(String fcmToken) {
        this.fcmToken = fcmToken;
    }
    
    public String getDisplayName() {
        return displayName;
    }
    
    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
    
    public String getAvatar() {
        return avatar;
    }
    
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
    
    public String getPassword() {
        return password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }
}